Package org.apache.struts2.dispatcher

# Class Parameter.Empty

java.lang.Object
org.apache.struts2.dispatcher.Parameter.Empty

All Implemented Interfaces:
  `Parameter`

Enclosing interface:
  Parameter

public static class Parameter.Empty extends Object implements Parameter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.struts2.dispatcher.Parameter

  `Parameter.Empty, Parameter.File, Parameter.Request`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Empty(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String[]`
  `getMultipleValues()`
  `String`
  `getName()`
  `Object`
  `getObject()`
  `String`
  `getValue()`
  `int`
  `hashCode()`
  `boolean`
  `isDefined()`
  `boolean`
  `isMultiple()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Empty

    public Empty(String name)

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Parameter`

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `Parameter`

  - ### isDefined

    public boolean isDefined()
    Specified by:
      `isDefined` in interface `Parameter`

  - ### isMultiple

    public boolean isMultiple()
    Specified by:
      `isMultiple` in interface `Parameter`

  - ### getMultipleValues

    public String[] getMultipleValues()
    Specified by:
      `getMultipleValues` in interface `Parameter`

  - ### getObject

    public Object getObject()
    Specified by:
      `getObject` in interface `Parameter`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`